### Virtual Method

# Gio Drive get_volumes

#### Declaration

    GList*
    get_volumes (
      GDrive* drive
    )

#### Description

Get a list of mountable volumes for `drive`.

The returned list should be freed with g_list_free(), after its elements have been unreffed with g_object_unref().

#### Return value

Type: A list of `None`

`GList` containing any `GVolume` objects on the given `drive`.

The caller of the function takes ownership of the data, and is responsible for freeing it.